[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

what if the upstream version contains hyphens?

I intend to package gnuplotfortran whose upstream is available at http://sourceforge.net/projects/gnuplotfortran .The upstream released sources whose version is 0.2.2-1 .

My questions are

1) What would be the corresponding Debian version? Should it be 0.2.2-1-1 or should i pretend the upstream's version is and name the debian version to be

2) should I ask the upstream to restrict their versioning scheme to dots and leave of hyphens to package maintainers? Will this raise problems for the maintainer (say from other Linux distributions' maintainers?)

3) Are there any other packages which have/had this problem previously? How is/was it solved?

The maint-guide currently is silent about this problem. But if there is some other documentation available which helps in this regard, I will be happy to read it.


Kamaraju S Kusumanchi
Graduate Student, MAE
Cornell University

Reply to: